<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Ywarchivevideoinfobean" type="cn.vp.XXX.model.YwarchivevideoinfoBean"/> -->	<typeAlias alias="Ywarchivevideoinfo" type="cn.im.ywgl.YwarchivevideoinfoBean"/>
	
	<sql id="condition_Ywarchivevideoinfo">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEarchivevideoid'>
			(archivevideoid like '%$LIKEarchivevideoid$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='archivevideoid'>
			(archivevideoid = #archivevideoid#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideoid'>
			(videoid like '%$LIKEvideoid$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videoid'>
			(videoid = #videoid#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideonum'>
			(videonum like '%$LIKEvideonum$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videonum'>
			(videonum = #videonum# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEchannelnum'>
			(channelnum like '%$LIKEchannelnum$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='channelnum'>
			(channelnum = #channelnum# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEchannelname'>
			(channelname like '%$LIKEchannelname$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='channelname'>
			(channelname = #channelname# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEnetworkproperty'>
			(networkproperty like '%$LIKEnetworkproperty$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='networkproperty'>
			(networkproperty = #networkproperty# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEoutsidecode'>
			(outsidecode like '%$LIKEoutsidecode$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='outsidecode'>
			(outsidecode = #outsidecode# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideofactory'>
			(videofactory like '%$LIKEvideofactory$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videofactory'>
			(videofactory = #videofactory# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideomodel'>
			(videomodel like '%$LIKEvideomodel$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videomodel'>
			(videomodel = #videomodel# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideoresolution'>
			(videoresolution like '%$LIKEvideoresolution$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videoresolution'>
			(videoresolution = #videoresolution# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideosignaltype'>
			(videosignaltype like '%$LIKEvideosignaltype$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videosignaltype'>
			(videosignaltype = #videosignaltype# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcameratype'>
			(cameratype like '%$LIKEcameratype$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cameratype'>
			(cameratype = #cameratype# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcameralightproperty'>
			(cameralightproperty like '%$LIKEcameralightproperty$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cameralightproperty'>
			(cameralightproperty = #cameralightproperty# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcameraresolution'>
			(cameraresolution like '%$LIKEcameraresolution$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cameraresolution'>
			(cameraresolution = #cameraresolution# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideocodeformat'>
			(videocodeformat like '%$LIKEvideocodeformat$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videocodeformat'>
			(videocodeformat = #videocodeformat# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideomacaddress'>
			(videomacaddress like '%$LIKEvideomacaddress$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videomacaddress'>
			(videomacaddress = #videomacaddress# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdepartmentid'>
			(departmentid like '%$LIKEdepartmentid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='departmentid'>
			(departmentid = #departmentid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbuilddepartment'>
			(builddepartment like '%$LIKEbuilddepartment$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='builddepartment'>
			(builddepartment = #builddepartment# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEareacode'>
			(areacode like '%$LIKEareacode$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='areacode'>
			(areacode = #areacode# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsecreyattribute'>
			(secreyattribute like '%$LIKEsecreyattribute$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='secreyattribute'>
			(secreyattribute = #secreyattribute# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideofunctiontype'>
			(videofunctiontype like '%$LIKEvideofunctiontype$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videofunctiontype'>
			(videofunctiontype = #videofunctiontype# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEareapolicecode'>
			(areapolicecode like '%$LIKEareapolicecode$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='areapolicecode'>
			(areapolicecode = #areapolicecode# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEareapolicename'>
			(areapolicename like '%$LIKEareapolicename$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='areapolicename'>
			(areapolicename = #areapolicename# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideopolicetype'>
			(videopolicetype like '%$LIKEvideopolicetype$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videopolicetype'>
			(videopolicetype = #videopolicetype# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideopointtype'>
			(videopointtype like '%$LIKEvideopointtype$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videopointtype'>
			(videopointtype = #videopointtype# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmanageunitcode'>
			(manageunitcode like '%$LIKEmanageunitcode$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='manageunitcode'>
			(manageunitcode = #manageunitcode# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmanageunitname'>
			(manageunitname like '%$LIKEmanageunitname$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='manageunitname'>
			(manageunitname = #manageunitname# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmanageunitphone'>
			(manageunitphone like '%$LIKEmanageunitphone$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='manageunitphone'>
			(manageunitphone = #manageunitphone# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmanageunitaccount'>
			(manageunitaccount like '%$LIKEmanageunitaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='manageunitaccount'>
			(manageunitaccount = #manageunitaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEuseattribute'>
			(useattribute like '%$LIKEuseattribute$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='useattribute'>
			(useattribute = #useattribute# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideoinstalladdress'>
			(videoinstalladdress like '%$LIKEvideoinstalladdress$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videoinstalladdress'>
			(videoinstalladdress = #videoinstalladdress# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideopointname'>
			(videopointname like '%$LIKEvideopointname$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videopointname'>
			(videopointname = #videopointname# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElongitude'>
			(longitude like '%$LIKElongitude$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='longitude'>
			(longitude = #longitude# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdimension'>
			(dimension like '%$LIKEdimension$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dimension'>
			(dimension = #dimension# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcamerapositiontype'>
			(camerapositiontype like '%$LIKEcamerapositiontype$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='camerapositiontype'>
			(camerapositiontype = #camerapositiontype# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEinstallpositiontype'>
			(installpositiontype like '%$LIKEinstallpositiontype$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='installpositiontype'>
			(installpositiontype = #installpositiontype# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmonitorposition'>
			(monitorposition like '%$LIKEmonitorposition$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='monitorposition'>
			(monitorposition = #monitorposition# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmonitordirection'>
			(monitordirection like '%$LIKEmonitordirection$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='monitordirection'>
			(monitordirection = #monitordirection# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmonitorininstallhight'>
			(monitorininstallhight like '%$LIKEmonitorininstallhight$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='monitorininstallhight'>
			(monitorininstallhight = #monitorininstallhight# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmonitorlookrange'>
			(monitorlookrange like '%$LIKEmonitorlookrange$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='monitorlookrange'>
			(monitorlookrange = #monitorlookrange# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmonitorinstalltime'>
			(monitorinstalltime like '%$LIKEmonitorinstalltime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='monitorinstalltime'>
			(monitorinstalltime = #monitorinstalltime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmonitorscenepicurl'>
			(monitorscenepicurl like '%$LIKEmonitorscenepicurl$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='monitorscenepicurl'>
			(monitorscenepicurl = #monitorscenepicurl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideoip'>
			(videoip like '%$LIKEvideoip$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videoip'>
			(videoip = #videoip# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideoipv6'>
			(videoipv6 like '%$LIKEvideoipv6$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videoipv6'>
			(videoipv6 = #videoipv6# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideoport'>
			(videoport like '%$LIKEvideoport$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videoport'>
			(videoport = #videoport# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideousername'>
			(videousername like '%$LIKEvideousername$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videousername'>
			(videousername = #videousername# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideopassword'>
			(videopassword like '%$LIKEvideopassword$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videopassword'>
			(videopassword = #videopassword# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbuildcompany'>
			(buildcompany like '%$LIKEbuildcompany$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='buildcompany'>
			(buildcompany = #buildcompany# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbuildcompanyname'>
			(buildcompanyname like '%$LIKEbuildcompanyname$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='buildcompanyname'>
			(buildcompanyname = #buildcompanyname# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEoperationcompany'>
			(operationcompany like '%$LIKEoperationcompany$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='operationcompany'>
			(operationcompany = #operationcompany# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEoperationcompanyname'>
			(operationcompanyname like '%$LIKEoperationcompanyname$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='operationcompanyname'>
			(operationcompanyname = #operationcompanyname# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEstorageip'>
			(storageip like '%$LIKEstorageip$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='storageip'>
			(storageip = #storageip# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEstoragechannel'>
			(storagechannel like '%$LIKEstoragechannel$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='storagechannel'>
			(storagechannel = #storagechannel# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKErecordkeepdays'>
			(recordkeepdays like '%$LIKErecordkeepdays$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='recordkeepdays'>
			(recordkeepdays = #recordkeepdays# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdvrusername'>
			(dvrusername like '%$LIKEdvrusername$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dvrusername'>
			(dvrusername = #dvrusername# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdvrpassword'>
			(dvrpassword like '%$LIKEdvrpassword$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dvrpassword'>
			(dvrpassword = #dvrpassword# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvideostate'>
			(videostate like '%$LIKEvideostate$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='videostate'>
			(videostate = #videostate# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEisshare'>
			(isshare like '%$LIKEisshare$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='isshare'>
			(isshare = #isshare# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEisjointhreesystem'>
			(isjointhreesystem like '%$LIKEisjointhreesystem$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='isjointhreesystem'>
			(isjointhreesystem = #isjointhreesystem# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkeyboardnum'>
			(keyboardnum like '%$LIKEkeyboardnum$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='keyboardnum'>
			(keyboardnum = #keyboardnum# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcreateaccount'>
			(createaccount like '%$LIKEcreateaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='createaccount'>
			(createaccount = #createaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcreatetime'>
			(createtime like '%$LIKEcreatetime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='createtime'>
			(createtime = #createtime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmodifyaccount'>
			(modifyaccount like '%$LIKEmodifyaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='modifyaccount'>
			(modifyaccount = #modifyaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmodifytime'>
			(modifytime like '%$LIKEmodifytime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='modifytime'>
			(modifytime = #modifytime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEremarks'>
			(remarks like '%$LIKEremarks$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='remarks'>
			(remarks = #remarks# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEextend1'>
			(extend1 like '%$LIKEextend1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='extend1'>
			(extend1 = #extend1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEextend2'>
			(extend2 like '%$LIKEextend2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='extend2'>
			(extend2 = #extend2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEextend3'>
			(extend3 like '%$LIKEextend3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='extend3'>
			(extend3 = #extend3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEextend4'>
			(extend4 like '%$LIKEextend4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='extend4'>
			(extend4 = #extend4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Ywarchivevideoinfo" parameterClass="java.util.Map">
		insert into 
		ywarchivevideoinfo(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='archivevideoid'>archivevideoid</isNotEmpty>
			<isNotEmpty prepend=',' property='videoid'>videoid</isNotEmpty>
			<isNotEmpty prepend=',' property='videonum'>videonum</isNotEmpty>
			<isNotEmpty prepend=',' property='channelnum'>channelnum</isNotEmpty>
			<isNotEmpty prepend=',' property='channelname'>channelname</isNotEmpty>
			<isNotEmpty prepend=',' property='networkproperty'>networkproperty</isNotEmpty>
			<isNotEmpty prepend=',' property='outsidecode'>outsidecode</isNotEmpty>
			<isNotEmpty prepend=',' property='videofactory'>videofactory</isNotEmpty>
			<isNotEmpty prepend=',' property='videomodel'>videomodel</isNotEmpty>
			<isNotEmpty prepend=',' property='videoresolution'>videoresolution</isNotEmpty>
			<isNotEmpty prepend=',' property='videosignaltype'>videosignaltype</isNotEmpty>
			<isNotEmpty prepend=',' property='cameratype'>cameratype</isNotEmpty>
			<isNotEmpty prepend=',' property='cameralightproperty'>cameralightproperty</isNotEmpty>
			<isNotEmpty prepend=',' property='cameraresolution'>cameraresolution</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeformat'>videocodeformat</isNotEmpty>
			<isNotEmpty prepend=',' property='videomacaddress'>videomacaddress</isNotEmpty>
			<isNotEmpty prepend=',' property='departmentid'>departmentid</isNotEmpty>
			<isNotEmpty prepend=',' property='builddepartment'>builddepartment</isNotEmpty>
			<isNotEmpty prepend=',' property='areacode'>areacode</isNotEmpty>
			<isNotEmpty prepend=',' property='secreyattribute'>secreyattribute</isNotEmpty>
			<isNotEmpty prepend=',' property='videofunctiontype'>videofunctiontype</isNotEmpty>
			<isNotEmpty prepend=',' property='areapolicecode'>areapolicecode</isNotEmpty>
			<isNotEmpty prepend=',' property='areapolicename'>areapolicename</isNotEmpty>
			<isNotEmpty prepend=',' property='videopolicetype'>videopolicetype</isNotEmpty>
			<isNotEmpty prepend=',' property='videopointtype'>videopointtype</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitcode'>manageunitcode</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitname'>manageunitname</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitphone'>manageunitphone</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitaccount'>manageunitaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='useattribute'>useattribute</isNotEmpty>
			<isNotEmpty prepend=',' property='videoinstalladdress'>videoinstalladdress</isNotEmpty>
			<isNotEmpty prepend=',' property='videopointname'>videopointname</isNotEmpty>
			<isNotEmpty prepend=',' property='longitude'>longitude</isNotEmpty>
			<isNotEmpty prepend=',' property='dimension'>dimension</isNotEmpty>
			<isNotEmpty prepend=',' property='camerapositiontype'>camerapositiontype</isNotEmpty>
			<isNotEmpty prepend=',' property='installpositiontype'>installpositiontype</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorposition'>monitorposition</isNotEmpty>
			<isNotEmpty prepend=',' property='monitordirection'>monitordirection</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorininstallhight'>monitorininstallhight</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorlookrange'>monitorlookrange</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorinstalltime'>monitorinstalltime</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorscenepicurl'>monitorscenepicurl</isNotEmpty>
			<isNotEmpty prepend=',' property='videoip'>videoip</isNotEmpty>
			<isNotEmpty prepend=',' property='videoipv6'>videoipv6</isNotEmpty>
			<isNotEmpty prepend=',' property='videoport'>videoport</isNotEmpty>
			<isNotEmpty prepend=',' property='videousername'>videousername</isNotEmpty>
			<isNotEmpty prepend=',' property='videopassword'>videopassword</isNotEmpty>
			<isNotEmpty prepend=',' property='buildcompany'>buildcompany</isNotEmpty>
			<isNotEmpty prepend=',' property='buildcompanyname'>buildcompanyname</isNotEmpty>
			<isNotEmpty prepend=',' property='operationcompany'>operationcompany</isNotEmpty>
			<isNotEmpty prepend=',' property='operationcompanyname'>operationcompanyname</isNotEmpty>
			<isNotEmpty prepend=',' property='storageip'>storageip</isNotEmpty>
			<isNotEmpty prepend=',' property='storagechannel'>storagechannel</isNotEmpty>
			<isNotEmpty prepend=',' property='recordkeepdays'>recordkeepdays</isNotEmpty>
			<isNotEmpty prepend=',' property='dvrusername'>dvrusername</isNotEmpty>
			<isNotEmpty prepend=',' property='dvrpassword'>dvrpassword</isNotEmpty>
			<isNotEmpty prepend=',' property='videostate'>videostate</isNotEmpty>
			<isNotEmpty prepend=',' property='isshare'>isshare</isNotEmpty>
			<isNotEmpty prepend=',' property='isjointhreesystem'>isjointhreesystem</isNotEmpty>
			<isNotEmpty prepend=',' property='keyboardnum'>keyboardnum</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='archivevideoid'>#archivevideoid#</isNotEmpty>
<isNotEmpty prepend=',' property='videoid'>#videoid#</isNotEmpty>
			<isNotEmpty prepend=',' property='videonum'>#videonum#</isNotEmpty>
			<isNotEmpty prepend=',' property='channelnum'>#channelnum#</isNotEmpty>
			<isNotEmpty prepend=',' property='channelname'>#channelname#</isNotEmpty>
			<isNotEmpty prepend=',' property='networkproperty'>#networkproperty#</isNotEmpty>
			<isNotEmpty prepend=',' property='outsidecode'>#outsidecode#</isNotEmpty>
			<isNotEmpty prepend=',' property='videofactory'>#videofactory#</isNotEmpty>
			<isNotEmpty prepend=',' property='videomodel'>#videomodel#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoresolution'>#videoresolution#</isNotEmpty>
			<isNotEmpty prepend=',' property='videosignaltype'>#videosignaltype#</isNotEmpty>
			<isNotEmpty prepend=',' property='cameratype'>#cameratype#</isNotEmpty>
			<isNotEmpty prepend=',' property='cameralightproperty'>#cameralightproperty#</isNotEmpty>
			<isNotEmpty prepend=',' property='cameraresolution'>#cameraresolution#</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeformat'>#videocodeformat#</isNotEmpty>
			<isNotEmpty prepend=',' property='videomacaddress'>#videomacaddress#</isNotEmpty>
			<isNotEmpty prepend=',' property='departmentid'>#departmentid#</isNotEmpty>
			<isNotEmpty prepend=',' property='builddepartment'>#builddepartment#</isNotEmpty>
			<isNotEmpty prepend=',' property='areacode'>#areacode#</isNotEmpty>
			<isNotEmpty prepend=',' property='secreyattribute'>#secreyattribute#</isNotEmpty>
			<isNotEmpty prepend=',' property='videofunctiontype'>#videofunctiontype#</isNotEmpty>
			<isNotEmpty prepend=',' property='areapolicecode'>#areapolicecode#</isNotEmpty>
			<isNotEmpty prepend=',' property='areapolicename'>#areapolicename#</isNotEmpty>
			<isNotEmpty prepend=',' property='videopolicetype'>#videopolicetype#</isNotEmpty>
			<isNotEmpty prepend=',' property='videopointtype'>#videopointtype#</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitcode'>#manageunitcode#</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitname'>#manageunitname#</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitphone'>#manageunitphone#</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitaccount'>#manageunitaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='useattribute'>#useattribute#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoinstalladdress'>#videoinstalladdress#</isNotEmpty>
			<isNotEmpty prepend=',' property='videopointname'>#videopointname#</isNotEmpty>
			<isNotEmpty prepend=',' property='longitude'>#longitude#</isNotEmpty>
			<isNotEmpty prepend=',' property='dimension'>#dimension#</isNotEmpty>
			<isNotEmpty prepend=',' property='camerapositiontype'>#camerapositiontype#</isNotEmpty>
			<isNotEmpty prepend=',' property='installpositiontype'>#installpositiontype#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorposition'>#monitorposition#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitordirection'>#monitordirection#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorininstallhight'>#monitorininstallhight#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorlookrange'>#monitorlookrange#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorinstalltime'>#monitorinstalltime#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorscenepicurl'>#monitorscenepicurl#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoip'>#videoip#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoipv6'>#videoipv6#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoport'>#videoport#</isNotEmpty>
			<isNotEmpty prepend=',' property='videousername'>#videousername#</isNotEmpty>
			<isNotEmpty prepend=',' property='videopassword'>#videopassword#</isNotEmpty>
			<isNotEmpty prepend=',' property='buildcompany'>#buildcompany#</isNotEmpty>
			<isNotEmpty prepend=',' property='buildcompanyname'>#buildcompanyname#</isNotEmpty>
			<isNotEmpty prepend=',' property='operationcompany'>#operationcompany#</isNotEmpty>
			<isNotEmpty prepend=',' property='operationcompanyname'>#operationcompanyname#</isNotEmpty>
			<isNotEmpty prepend=',' property='storageip'>#storageip#</isNotEmpty>
			<isNotEmpty prepend=',' property='storagechannel'>#storagechannel#</isNotEmpty>
			<isNotEmpty prepend=',' property='recordkeepdays'>#recordkeepdays#</isNotEmpty>
			<isNotEmpty prepend=',' property='dvrusername'>#dvrusername#</isNotEmpty>
			<isNotEmpty prepend=',' property='dvrpassword'>#dvrpassword#</isNotEmpty>
			<isNotEmpty prepend=',' property='videostate'>#videostate#</isNotEmpty>
			<isNotEmpty prepend=',' property='isshare'>#isshare#</isNotEmpty>
			<isNotEmpty prepend=',' property='isjointhreesystem'>#isjointhreesystem#</isNotEmpty>
			<isNotEmpty prepend=',' property='keyboardnum'>#keyboardnum#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>#extend4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Ywarchivevideoinfo" parameterClass="java.util.Map">
		update ywarchivevideoinfo 
		<dynamic prepend="set ">   
			

			<isNotEmpty prepend=',' property='videonum'>videonum=#videonum#</isNotEmpty>
			<isNotEmpty prepend=',' property='channelnum'>channelnum=#channelnum#</isNotEmpty>
			<isNotEmpty prepend=',' property='channelname'>channelname=#channelname#</isNotEmpty>
			<isNotEmpty prepend=',' property='networkproperty'>networkproperty=#networkproperty#</isNotEmpty>
			<isNotEmpty prepend=',' property='outsidecode'>outsidecode=#outsidecode#</isNotEmpty>
			<isNotEmpty prepend=',' property='videofactory'>videofactory=#videofactory#</isNotEmpty>
			<isNotEmpty prepend=',' property='videomodel'>videomodel=#videomodel#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoresolution'>videoresolution=#videoresolution#</isNotEmpty>
			<isNotEmpty prepend=',' property='videosignaltype'>videosignaltype=#videosignaltype#</isNotEmpty>
			<isNotEmpty prepend=',' property='cameratype'>cameratype=#cameratype#</isNotEmpty>
			<isNotEmpty prepend=',' property='cameralightproperty'>cameralightproperty=#cameralightproperty#</isNotEmpty>
			<isNotEmpty prepend=',' property='cameraresolution'>cameraresolution=#cameraresolution#</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeformat'>videocodeformat=#videocodeformat#</isNotEmpty>
			<isNotEmpty prepend=',' property='videomacaddress'>videomacaddress=#videomacaddress#</isNotEmpty>
			<isNotEmpty prepend=',' property='departmentid'>departmentid=#departmentid#</isNotEmpty>
			<isNotEmpty prepend=',' property='builddepartment'>builddepartment=#builddepartment#</isNotEmpty>
			<isNotEmpty prepend=',' property='areacode'>areacode=#areacode#</isNotEmpty>
			<isNotEmpty prepend=',' property='secreyattribute'>secreyattribute=#secreyattribute#</isNotEmpty>
			<isNotEmpty prepend=',' property='videofunctiontype'>videofunctiontype=#videofunctiontype#</isNotEmpty>
			<isNotEmpty prepend=',' property='areapolicecode'>areapolicecode=#areapolicecode#</isNotEmpty>
			<isNotEmpty prepend=',' property='areapolicename'>areapolicename=#areapolicename#</isNotEmpty>
			<isNotEmpty prepend=',' property='videopolicetype'>videopolicetype=#videopolicetype#</isNotEmpty>
			<isNotEmpty prepend=',' property='videopointtype'>videopointtype=#videopointtype#</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitcode'>manageunitcode=#manageunitcode#</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitname'>manageunitname=#manageunitname#</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitphone'>manageunitphone=#manageunitphone#</isNotEmpty>
			<isNotEmpty prepend=',' property='manageunitaccount'>manageunitaccount=#manageunitaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='useattribute'>useattribute=#useattribute#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoinstalladdress'>videoinstalladdress=#videoinstalladdress#</isNotEmpty>
			<isNotEmpty prepend=',' property='videopointname'>videopointname=#videopointname#</isNotEmpty>
			<isNotEmpty prepend=',' property='longitude'>longitude=#longitude#</isNotEmpty>
			<isNotEmpty prepend=',' property='dimension'>dimension=#dimension#</isNotEmpty>
			<isNotEmpty prepend=',' property='camerapositiontype'>camerapositiontype=#camerapositiontype#</isNotEmpty>
			<isNotEmpty prepend=',' property='installpositiontype'>installpositiontype=#installpositiontype#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorposition'>monitorposition=#monitorposition#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitordirection'>monitordirection=#monitordirection#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorininstallhight'>monitorininstallhight=#monitorininstallhight#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorlookrange'>monitorlookrange=#monitorlookrange#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorinstalltime'>monitorinstalltime=#monitorinstalltime#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitorscenepicurl'>monitorscenepicurl=#monitorscenepicurl#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoip'>videoip=#videoip#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoipv6'>videoipv6=#videoipv6#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoport'>videoport=#videoport#</isNotEmpty>
			<isNotEmpty prepend=',' property='videousername'>videousername=#videousername#</isNotEmpty>
			<isNotEmpty prepend=',' property='videopassword'>videopassword=#videopassword#</isNotEmpty>
			<isNotEmpty prepend=',' property='buildcompany'>buildcompany=#buildcompany#</isNotEmpty>
			<isNotEmpty prepend=',' property='buildcompanyname'>buildcompanyname=#buildcompanyname#</isNotEmpty>
			<isNotEmpty prepend=',' property='operationcompany'>operationcompany=#operationcompany#</isNotEmpty>
			<isNotEmpty prepend=',' property='operationcompanyname'>operationcompanyname=#operationcompanyname#</isNotEmpty>
			<isNotEmpty prepend=',' property='storageip'>storageip=#storageip#</isNotEmpty>
			<isNotEmpty prepend=',' property='storagechannel'>storagechannel=#storagechannel#</isNotEmpty>
			<isNotEmpty prepend=',' property='recordkeepdays'>recordkeepdays=#recordkeepdays#</isNotEmpty>
			<isNotEmpty prepend=',' property='dvrusername'>dvrusername=#dvrusername#</isNotEmpty>
			<isNotEmpty prepend=',' property='dvrpassword'>dvrpassword=#dvrpassword#</isNotEmpty>
			<isNotEmpty prepend=',' property='videostate'>videostate=#videostate#</isNotEmpty>
			<isNotEmpty prepend=',' property='isshare'>isshare=#isshare#</isNotEmpty>
			<isNotEmpty prepend=',' property='isjointhreesystem'>isjointhreesystem=#isjointhreesystem#</isNotEmpty>
			<isNotEmpty prepend=',' property='keyboardnum'>keyboardnum=#keyboardnum#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount=#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime=#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount=#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime=#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks=#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1=#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2=#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3=#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4=#extend4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJarchivevideoid'> archivevideoid = #XGTJarchivevideoid#</isNotEmpty>
<isNotEmpty prepend='AND' property='XGTJvideoid'> videoid = #XGTJvideoid#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideonum'> videonum = #XGTJvideonum# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJchannelnum'> channelnum = #XGTJchannelnum# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJchannelname'> channelname = #XGTJchannelname# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJnetworkproperty'> networkproperty = #XGTJnetworkproperty# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJoutsidecode'> outsidecode = #XGTJoutsidecode# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideofactory'> videofactory = #XGTJvideofactory# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideomodel'> videomodel = #XGTJvideomodel# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideoresolution'> videoresolution = #XGTJvideoresolution# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideosignaltype'> videosignaltype = #XGTJvideosignaltype# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcameratype'> cameratype = #XGTJcameratype# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcameralightproperty'> cameralightproperty = #XGTJcameralightproperty# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcameraresolution'> cameraresolution = #XGTJcameraresolution# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideocodeformat'> videocodeformat = #XGTJvideocodeformat# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideomacaddress'> videomacaddress = #XGTJvideomacaddress# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdepartmentid'> departmentid = #XGTJdepartmentid# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbuilddepartment'> builddepartment = #XGTJbuilddepartment# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJareacode'> areacode = #XGTJareacode# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsecreyattribute'> secreyattribute = #XGTJsecreyattribute# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideofunctiontype'> videofunctiontype = #XGTJvideofunctiontype# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJareapolicecode'> areapolicecode = #XGTJareapolicecode# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJareapolicename'> areapolicename = #XGTJareapolicename# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideopolicetype'> videopolicetype = #XGTJvideopolicetype# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideopointtype'> videopointtype = #XGTJvideopointtype# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmanageunitcode'> manageunitcode = #XGTJmanageunitcode# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmanageunitname'> manageunitname = #XGTJmanageunitname# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmanageunitphone'> manageunitphone = #XGTJmanageunitphone# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmanageunitaccount'> manageunitaccount = #XGTJmanageunitaccount# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJuseattribute'> useattribute = #XGTJuseattribute# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideoinstalladdress'> videoinstalladdress = #XGTJvideoinstalladdress# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideopointname'> videopointname = #XGTJvideopointname# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlongitude'> longitude = #XGTJlongitude# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdimension'> dimension = #XGTJdimension# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcamerapositiontype'> camerapositiontype = #XGTJcamerapositiontype# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJinstallpositiontype'> installpositiontype = #XGTJinstallpositiontype# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmonitorposition'> monitorposition = #XGTJmonitorposition# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmonitordirection'> monitordirection = #XGTJmonitordirection# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmonitorininstallhight'> monitorininstallhight = #XGTJmonitorininstallhight# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmonitorlookrange'> monitorlookrange = #XGTJmonitorlookrange# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmonitorinstalltime'> monitorinstalltime = #XGTJmonitorinstalltime# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmonitorscenepicurl'> monitorscenepicurl = #XGTJmonitorscenepicurl# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideoip'> videoip = #XGTJvideoip# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideoipv6'> videoipv6 = #XGTJvideoipv6# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideoport'> videoport = #XGTJvideoport# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideousername'> videousername = #XGTJvideousername# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideopassword'> videopassword = #XGTJvideopassword# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbuildcompany'> buildcompany = #XGTJbuildcompany# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbuildcompanyname'> buildcompanyname = #XGTJbuildcompanyname# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJoperationcompany'> operationcompany = #XGTJoperationcompany# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJoperationcompanyname'> operationcompanyname = #XGTJoperationcompanyname# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJstorageip'> storageip = #XGTJstorageip# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJstoragechannel'> storagechannel = #XGTJstoragechannel# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJrecordkeepdays'> recordkeepdays = #XGTJrecordkeepdays# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdvrusername'> dvrusername = #XGTJdvrusername# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdvrpassword'> dvrpassword = #XGTJdvrpassword# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvideostate'> videostate = #XGTJvideostate# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJisshare'> isshare = #XGTJisshare# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJisjointhreesystem'> isjointhreesystem = #XGTJisjointhreesystem# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkeyboardnum'> keyboardnum = #XGTJkeyboardnum# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcreateaccount'> createaccount = #XGTJcreateaccount# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcreatetime'> createtime = #XGTJcreatetime# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmodifyaccount'> modifyaccount = #XGTJmodifyaccount# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmodifytime'> modifytime = #XGTJmodifytime# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJremarks'> remarks = #XGTJremarks# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJextend1'> extend1 = #XGTJextend1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJextend2'> extend2 = #XGTJextend2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJextend3'> extend3 = #XGTJextend3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJextend4'> extend4 = #XGTJextend4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Ywarchivevideoinfo" parameterClass="java.util.Map">
		delete from ywarchivevideoinfo 
		<include refid="condition_Ywarchivevideoinfo"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Ywarchivevideoinfo" parameterClass="java.util.Map">
		delete from ywarchivevideoinfo 
		where 
		<isNotEmpty prepend=' ' property='ids'>
			archivevideoid in
			<iterate open="("  close=")"  conjunction=","  property="ids">
				#ids[]#  
			</iterate>
		</isNotEmpty>
		
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Ywarchivevideoinfo" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			archivevideoid,videoid,videonum,channelnum,channelname,networkproperty,outsidecode,
			videofactory,(select codename from ywarchivevideoimportcode where columnname='videofactory' and code=videofactory) as videofactorymc,
			videomodel,videosignaltype,
			videoresolution,(select codename from ywarchivevideoimportcode where columnname='videoresolution' and code=videoresolution) as videoresolutionmc,
			cameratype,(select codename from ywarchivevideoimportcode where columnname='cameratype' and code=cameratype) as cameratypemc,
			cameralightproperty,cameraresolution,videocodeformat,videomacaddress,departmentid,
			builddepartment,(select codename from ywarchivevideoimportcode where columnname='builddepartment' and code=builddepartment) as builddepartmentmc,
			areacode,secreyattribute,videofunctiontype,areapolicecode,areapolicename,videopolicetype,videopointtype,manageunitcode,manageunitname,manageunitphone,manageunitaccount,useattribute,videoinstalladdress,videopointname,longitude,dimension,camerapositiontype,
			installpositiontype,(select codename from ywarchivevideoimportcode where columnname='installpositiontype' and code=installpositiontype) as installpositiontypemc,
			monitorposition,monitordirection,monitorininstallhight,monitorlookrange,monitorinstalltime,monitorscenepicurl,videoip,videoipv6,videoport,videousername,videopassword,buildcompany,buildcompanyname,operationcompany,operationcompanyname,storageip,storagechannel,recordkeepdays,dvrusername,dvrpassword,videostate,isshare,isjointhreesystem,keyboardnum,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
		from ywarchivevideoinfo 
		<include refid="condition_Ywarchivevideoinfo"/>		
		<!-- <isNotEmpty prepend='  ' property='start'>
			limit #start# , #limit#
		</isNotEmpty> -->
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Ywarchivevideoinfo" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from ywarchivevideoinfo 
		<include refid="condition_Ywarchivevideoinfo"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Ywarchivevideoinfo" parameterClass="java.util.List">
	 <iterate conjunction=" " > 		
	 	<![CDATA[
          INSERT
      	]]>
      	
			into ywarchivevideoinfo(
			 <![CDATA[ 
				archivevideoid,videoid,videonum,channelnum,channelname,networkproperty,outsidecode,videofactory,videomodel,videoresolution,videosignaltype,cameratype,cameralightproperty,cameraresolution,videocodeformat,videomacaddress,departmentid,builddepartment,areacode,secreyattribute,videofunctiontype,areapolicecode,areapolicename,videopolicetype,videopointtype,manageunitcode,manageunitname,manageunitphone,manageunitaccount,useattribute,videoinstalladdress,videopointname,longitude,dimension,camerapositiontype,installpositiontype,monitorposition,monitordirection,monitorininstallhight,monitorlookrange,monitorinstalltime,monitorscenepicurl,videoip,videoipv6,videoport,videousername,videopassword,buildcompany,buildcompanyname,operationcompany,operationcompanyname,storageip,storagechannel,recordkeepdays,dvrusername,dvrpassword,videostate,isshare,isjointhreesystem,keyboardnum,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
			)values
			 ]]>  
			 
			 <![CDATA[ 
				(
				#list[].archivevideoid#,	#list[].videoid#,#list[].videonum#,#list[].channelnum#,#list[].channelname#,#list[].networkproperty#,#list[].outsidecode#,#list[].videofactory#,#list[].videomodel#,#list[].videoresolution#,#list[].videosignaltype#,#list[].cameratype#,#list[].cameralightproperty#,#list[].cameraresolution#,#list[].videocodeformat#,#list[].videomacaddress#,#list[].departmentid#,#list[].builddepartment#,#list[].areacode#,#list[].secreyattribute#,#list[].videofunctiontype#,#list[].areapolicecode#,#list[].areapolicename#,#list[].videopolicetype#,#list[].videopointtype#,#list[].manageunitcode#,#list[].manageunitname#,#list[].manageunitphone#,#list[].manageunitaccount#,#list[].useattribute#,#list[].videoinstalladdress#,#list[].videopointname#,#list[].longitude#,#list[].dimension#,#list[].camerapositiontype#,#list[].installpositiontype#,#list[].monitorposition#,#list[].monitordirection#,#list[].monitorininstallhight#,#list[].monitorlookrange#,#list[].monitorinstalltime#,#list[].monitorscenepicurl#,#list[].videoip#,#list[].videoipv6#,#list[].videoport#,#list[].videousername#,#list[].videopassword#,#list[].buildcompany#,#list[].buildcompanyname#,#list[].operationcompany#,#list[].operationcompanyname#,#list[].storageip#,#list[].storagechannel#,#list[].recordkeepdays#,#list[].dvrusername#,#list[].dvrpassword#,#list[].videostate#,#list[].isshare#,#list[].isjointhreesystem#,#list[].keyboardnum#,#list[].createaccount#,#list[].createtime#,#list[].modifyaccount#,#list[].modifytime#,#list[].remarks#,#list[].extend1#,#list[].extend2#,#list[].extend3#,#list[].extend4#
				)
			]]>    
    	</iterate> 
	</insert>
	
	<!-- 查询excel表对应数据库相关信息 -->
	<select id="getExeclColname" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select * from ywarchivevideoimportcheck where columnnum is not null
	</select>
	
	<!-- 查询需要转换的信息 -->
	<select id="getExeclCodeName" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select * from ywarchivevideoimportcode where columnnum is not null
	</select>
	
	<!-- 根据columnname查询  代码及中文 -->
	<select id="queryByColumnname" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select code,codename from ywarchivevideoimportcode where 1=1
		<isNotEmpty prepend='and' property='columnname'>
			columnname=#columnname#
		</isNotEmpty>
	</select>
	
	<!-- 查询不同的 外部编码 -->
	<select id="queryOutsidecode" resultClass="java.lang.String" parameterClass="java.util.Map">
		select distinct outsidecode from ywarchivevideoinfo
	</select>
</sqlMap>











